/*
 * Copyright 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __KYLIN_AI_AUDIO_DATA_STREAM_H__
#define __KYLIN_AI_AUDIO_DATA_STREAM_H__

#include <common/macros.h>

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

// 数据流
typedef struct _AudioDataStream AudioDataStream;

AISDK_EXTERN
AudioDataStream *audio_data_stream_create();

AISDK_EXTERN
void audio_data_stream_destroy(AudioDataStream **stream);

AISDK_EXTERN
int audio_data_stream_write(AudioDataStream *stream, const uint8_t *data,
                               uint32_t data_length);

#ifdef __cplusplus
}
#endif

#endif
