/*
 * Copyright 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef _KYLIN_AI_CORE_AI_SPEECH_CONFIG_H
#define _KYLIN_AI_CORE_AI_SPEECH_CONFIG_H
#include "kylin-ai/common/enums.h"
#include "kylin-ai/common/macros.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _SpeechModelConfig SpeechModelConfig;

AISDK_EXTERN
SpeechModelConfig *speech_model_config_create();

AISDK_EXTERN
void speech_model_config_destroy(SpeechModelConfig **config);

AISDK_EXTERN
void speech_model_config_set_name(SpeechModelConfig *config, const char *name);

AISDK_EXTERN
void speech_model_config_set_deploy_type(SpeechModelConfig *config,
                                         ModelDeployType type);

#ifdef __cplusplus
}
#endif

#endif  //_KYLIN_AI_CORE_AI_SPEECH_CONFIG_H
