/*
 * Copyright 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __KYLIN_AI_SPEECH_ERROR_H__
#define __KYLIN_AI_SPEECH_ERROR_H__

#include <kylin-ai/common/error.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
    SPEECH_RECOGNITION_AUDIO_DATA_SIZE_INVALID = 100,
    SPEECH_SYNTHESIS_TEXT_LENGTH_INVALID,
    SPEECH_PARAM_INVALID,
    SPEECH_DEFAULT_MICROPHONE_INVALID,
    SPEECH_UNKNOWN_ERROR,
    SPEECH_UNSUPPORTED_LANGUAGE
} SpeechErrorCode;

#ifdef __cplusplus
}
#endif

#endif
